id: d7_paragraphs
label: Paragraphs
migration_tags:
  - Drupal 7
  - Content
  - Paragraphs Content
deriver: Drupal\paragraphs\Plugin\migrate\D7ParagraphsItemDeriver
source:
  plugin: d7_paragraphs_item
process:
  type: bundle
  # @todo Get the langcode from the parent entity.
  # See https://drupal.org/i/3146632.
  # langcode: langcode
destination:
  plugin: entity_reference_revisions:paragraph
migration_dependencies:
  required:
    - d7_paragraphs_type
  optional:
    - d7_field_instance
